#include "mainwindow.h"
#include "ui_mainwindow.h"


MainWindow::MainWindow(QWidget *parent, Qt::WindowFlags flags) :
    QMainWindow(parent, flags),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

   //Button mit Fkt fllem
    connect (ui->Open, SIGNAL(clicked()),this, SLOT(openFile()));

}
// Funktion ffnen der Text Datei
void MainWindow::openFile()
{
    QString fileName;
    fileName = QFileDialog::getOpenFileName(this, tr("Datei Oeffnen"),"",
                                                "Alle Dateien (*.txt)");
    if (fileName.isEmpty()){
        QMessageBox::warning(this, tr("Warnung"), tr("Keine Datei ausgewaehlt."));
        return;
    }
    ui->lineEdit->setText(fileName);

    QFile file (fileName);
    if (!file.open(QIODevice::ReadOnly | QIODevice::Text))
    {
        QMessageBox::information(this, tr("Error"), tr("Kann Datei nicht oeffnen"));
        return;
    }

    QTextStream stream (&file);
    QVector<QPoint>allPoints;
    while (!stream.atEnd())
    {
        QString line = stream.readLine();
        QStringList list = line.split("#");
        QPoint point(list.at(0).toInt(),list.at(1).toInt());
        allPoints.append(point);
    }

    foreach (QPoint const &pnt, allPoints)
    {
        qDebug() << pnt;
        ui->textEdit->append(tr("Position x: %1, y: %2")
                             .arg(pnt.x())
                             .arg(pnt.y()));
    }

}














MainWindow::~MainWindow()
{
    delete ui;
}
